Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 459458 - app-editors/emacs-24.2: fails to build with sys-libs/ncurses[tinfo]
Summary: app-editors/emacs-24.2: fails to build with sys-libs/ncurses[tinfo]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Emacs project
URL: http://debbugs.gnu.org/cgi/bugreport....
Whiteboard:
Keywords:
Depends on: 459666
Blocks: tinfo
  Show dependency tree
 
Reported: 2013-02-27 08:29 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2013-03-10 18:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2013-02-27 08:29:10 UTC
https://tinderboxlogs.s3.amazonaws.com/tbhs64.excelsior.flameeyes.eu/app-editors%3Aemacs-24.2%3A20130227-082715.html

Portage 2.2.0_alpha161 (hardened/linux/amd64/no-multilib, gcc-4.6.3-asneeded, glibc-2.15-r3, 3.7.0-hardened x86_64)
=================================================================
System uname: Linux-3.7.0-hardened-x86_64-AMD_Opteron-TM-_Processor_6272-with-gentoo-2.1
KiB Mem:    65914672 total,  15864424 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Thu, 31 Jan 2013 11:15:01 +0000
ld GNU ld (GNU Binutils) 2.22
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.8 [disabled]
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/ccache:          3.1.8
dev-util/cmake:           2.8.9
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb /var/lib/neatx/home /var/spool/fax/etc /var/spool/munin-async/.ssh /var/yp/Makefile"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
DISTDIR="/var/cache/portage/distfiles"
FCFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
GENTOO_MIRRORS="http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.mirrors.hoobly.com/ http://gentoo.llarian.net/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j24"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/var/cache/tinderbox/tree"
PORTDIR_OVERLAY=""
SYNC="rsync://excelsior.flameeyes.eu/gentoo-portage"
USE="3dnow 3dnowex acl amd64 berkdb bzip2 cli cracklib crypt curl cxx dri ffmpeg gdbm gpm hardened iconv introspection ipv6 justify mmx modules mudflap ncurses nls nptl openmp pam pax_kernel pcre plasma qt3support readline semantic-desktop session sse sse2 sse3 sse4 ssl ssse3 tcpd unicode urandom vhosts zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Ulrich Müller gentoo-dev 2013-02-27 15:39:51 UTC
Please report upstream.
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2013-02-27 15:41:21 UTC
No, this is broken in stable. Thanks Mike for that.
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2013-02-27 15:47:29 UTC
Don't make me loose my nerves.
I didn't start this.
Comment 4 Justin Lecher gentoo-dev 2013-02-27 15:51:56 UTC
(In reply to comment #1)
> Please report upstream.

It is good to report upstream, but it is broken on Gentoo for stable users. So no time to wait for upstreams fix. Why don't you want to fix this issue for us?
Comment 5 Ulrich Müller gentoo-dev 2013-02-27 16:45:52 UTC
(In reply to comment #4)
> It is good to report upstream, but it is broken on Gentoo for stable users.
> So no time to wait for upstreams fix. Why don't you want to fix this issue
> for us?

Yeah, very nice. The base-system team breaks the stable tree, and then the reasoning is that everyone else must urgently clean up the resulting mess because it affects stable users. :-(

The issue will be fixed in Emacs 24.3 (for GNU/Linux at least) whose first release candidate is announced for tomorrow. I need to test on FreeBSD before I can backport the upstream fix to 24.2.

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9741
http://bzr.savannah.gnu.org/lh/emacs/emacs-24/revision/108072
http://bzr.savannah.gnu.org/lh/emacs/emacs-24/revision/108133
Comment 6 Ulrich Müller gentoo-dev 2013-02-28 00:58:22 UTC
With certain USE flags combinations the build even succeeded, but then Emacs refused to start up when launched on a tty. Therefore fixed _with_ revbump to emacs-23.4-r5 and emacs-24.2-r1.
Comment 7 Ulrich Müller gentoo-dev 2013-03-10 18:07:19 UTC
(In reply to comment #6)
> Therefore fixed _with_ revbump to emacs-23.4-r5 and emacs-24.2-r1.

Stable on all arches. Closing.